Bug 808829 - [abrt] liveusb-creator-3.11.6-1.fc16: creator.py:349:get_liveos:TypeError: unsupported operand type(s) for +: 'NoneType' and 'str'
[abrt] liveusb-creator-3.11.6-1.fc16: creator.py:349:get_liveos:TypeError: un...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: liveusb-creator (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
abrt_hash:799d8df4831b0bfddb95d2da50b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-01 05:10 EDT by Nico
Modified: 2016-09-19 22:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 11:16:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nico 2012-04-01 05:10:53 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python -tt /usr/sbin/liveusb-creator
executable:     /usr/sbin/liveusb-creator
kernel:         3.2.9-2.fc16.x86_64
reason:         creator.py:349:get_liveos:TypeError: unsupported operand type(s) for +: 'NoneType' and 'str'
time:           Sun 18 Mar 2012 01:21:59 AM CET
uid:            0
username:       root

backtrace:
:creator.py:349:get_liveos:TypeError: unsupported operand type(s) for +: 'NoneType' and 'str'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/liveusb/gui.py", line 494, in begin
:    if self.live.existing_liveos():
:  File "/usr/lib/python2.7/site-packages/liveusb/creator.py", line 346, in existing_liveos
:    return os.path.exists(self.get_liveos())
:  File "/usr/lib/python2.7/site-packages/liveusb/creator.py", line 349, in get_liveos
:    return os.path.join(self.dest + os.path.sep, "LiveOS")
:TypeError: unsupported operand type(s) for +: 'NoneType' and 'str'
:
:Local variables in innermost frame:
:self: <liveusb.creator.LinuxLiveUSBCreator object at 0x25dcb10>

smolt_data:
:
:
:General
:=================================
:UUID: 12ae44d9-2344-4b7b-b8fa-289edda1db04
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 3790.58
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Turion(tm) 64 X2 Mobile Technology TL-58
:CPU Stepping: 1
:CPU Family: 15
:CPU Model Num: 104
:Number of CPUs: 2
:CPU Speed: 1900
:System Memory: 1876
:System Swap: 3775
:Vendor: Dell Inc.
:System: Inspiron 1521 
:Form factor: Portable
:Kernel: 3.2.9-2.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:30999:4136:508) pci, pcieport, PCI/PCI, RS690 PCI to PCI Bridge (PCI Express Port 3)
:(4098:17289:4136:508) pci, ohci_hcd, USB, SB600 USB (OHCI2)
:(4098:30992:4136:508) pci, None, HOST/PCI, RS690 Host Bridge
:(4098:30994:4136:508) pci, None, PCI/PCI, RS690 PCI to PCI Bridge (Internal gfx)
:(5348:17169:4136:7) pci, b43-pci-bridge, NETWORK, Wireless 1390 WLAN Mini-Card
:(4130:4353:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] Address Map
:(4130:4352:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] HyperTransport Technology Configuration
:(4130:4355:0:0) pci, k8temp, HOST/PCI, K8 [Athlon64/Opteron] Miscellaneous Control
:(4130:4354:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] DRAM Controller
:(4098:17280:4136:508) pci, ahci, STORAGE, SB600 Non-Raid-5 SATA
:(4480:1426:4136:508) pci, r592, BASE, R5C592 Memory Stick Bus Host Adapter
:(4480:2130:4136:508) pci, r852, BASE, xD-Picture Card Controller
:(4480:2098:4136:508) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(4480:2082:4136:508) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(5348:5900:4136:508) pci, b44, ETHERNET, BCM4401-B0 100Base-TX
:(4098:17292:4136:508) pci, pata_atiixp, STORAGE, SB600 IDE
:(4098:17285:4136:508) pci, piix4_smbus, SERIAL, SBx00 SMBus Controller
:(4098:17293:4136:508) pci, None, PCI/ISA, SB600 PCI to LPC Bridge
:(4098:17283:4136:508) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:31007:4136:508) pci, radeon, VIDEO, RS690M [Radeon X1200 Series]
:(4098:17290:4136:508) pci, ohci_hcd, USB, SB600 USB (OHCI3)
:(4098:17287:4136:508) pci, ohci_hcd, USB, SB600 USB (OHCI0)
:(4098:17288:4136:508) pci, ohci_hcd, USB, SB600 USB (OHCI1)
:(4098:17291:4136:508) pci, ohci_hcd, USB, SB600 USB (OHCI4)
:(4098:17286:4136:508) pci, ehci_hcd, USB, SB600 USB Controller (EHCI)
:(4098:30997:4136:508) pci, pcieport, PCI/PCI, RS690 PCI to PCI Bridge (PCI Express Port 1)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda4 / ext4 4096 4096 13092922 12062009 11930972 3276800 3160226 3160226
:/dev/sda2 /boot ext4 1024 1024 508745 434297 408697 128016 127743 127743
:/dev/sda5 /home ext4 4096 4096 15075415 14677994 13922858 3776512 3772072 3772072
:
Comment 1 Fedora End Of Life 2013-01-16 09:57:33 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 11:16:52 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.